| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DatabaseFields::DatabaseFieldsEnumIterator< FieldName > Class Template Reference

## Public Member Functions
bool | atEnd () const
FieldName | operator* () const
void | operator++ ()

## Detailed Description

template<typename FieldName>
class Digikam::DatabaseFields::DatabaseFieldsEnumIterator< FieldName >

Note
  You can iterate over each of the Enumerations defined above: ImagesIterator, ImageMetadataIterator etc. for (ImagesIterator it ; !it.atEnd() ; ++it) {...}